## gtk2-engines-qtcurve 0.55.2

=== CMakeLists.txt ===
project(QtCurve-Gtk2)
cmake_minimum_required(VERSION 2.4.0)

set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
set(CPACK_GENERATOR "DEB;RPM;TGZ")
set(DEBIAN_PACKAGE_DESCRIPTION "QtCurve for Gtk2")
set(DEBIAN_PACKAGE_SECTION "gtk")
set(CPACK_SOURCE_GENERATOR "TBZ2")
set(CPACK_PACKAGE_VERSION_MAJOR "0")
set(CPACK_PACKAGE_VERSION_MINOR "55")
set(CPACK_PACKAGE_VERSION_PATCH "2")
set(CPACK_PACKAGE_CONTACT "Craig Drummond <Craig.Drummond@lycos.co.uk>")
set(QTCURVE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
set(QTCURVE_VERSION_FULL "${QTCURVE_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${QTCURVE_VERSION_FULL}")
set(CPACK_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${QTCURVE_VERSION_FULL}")
include(CPack)

include(UsePkgConfig)
pkgconfig(gtk+-2.0 GTK_INCLUDE_DIR GTK_LIB_DIR GTK_LINK_FLAGS GTK_CFLAGS)

if (GTK_INCLUDE_DIR)
    # Try to determine KDE3's icon prefix...
    find_program(KDE3CONFIG_EXECUTABLE NAMES kde-config
                 PATHS $ENV{KDEDIR}/bin /opt/kde3/bin /opt/kde/bin NO_DEFAULT_PATH)

    find_program(KDE3CONFIG_EXECUTABLE kde-config)

    if(KDE3CONFIG_EXECUTABLE)
        exec_program(${KDE3CONFIG_EXECUTABLE}
                    ARGS --expandvars --install icon
                    OUTPUT_VARIABLE KDE3_ICONS_PREFIX)
        exec_program(${KDE3CONFIG_EXECUTABLE}
                     ARGS --prefix
                     OUTPUT_VARIABLE KDE3PREFIX)
    endif(KDE3CONFIG_EXECUTABLE)

    # Try to determine KDE4's icon prefix...
    file(TO_CMAKE_PATH "$ENV{KDEDIRS}" _KDEDIRS)

    find_program(KDE4CONFIG_EXECUTABLE NAMES kde4-config
                 PATHS ${CMAKE_INSTALL_PREFIX}/bin ${_KDEDIRS} /opt/kde4/bin NO_DEFAULT_PATH )

    if(NOT KDE4CONFIG_EXECUTABLE)
        find_program(KDE4CONFIG_EXECUTABLE NAMES kde4-config )
    endif(NOT KDE4CONFIG_EXECUTABLE)

    if(KDE4CONFIG_EXECUTABLE)
        exec_program(${KDE4_CONFIG_EXECUTABLE}
                    ARGS --expandvars --install icon
                    OUTPUT_VARIABLE KDE4_ICONS_PREFIX)
        exec_program(${KDE4_CONFIG_EXECUTABLE}
                     ARGS --prefix
                     OUTPUT_VARIABLE KDE4PREFIX)
    endif(KDE4CONFIG_EXECUTABLE)

    exec_program(${PKGCONFIG_EXECUTABLE}
                 ARGS --variable=gtk_binary_version gtk+-2.0
                 OUTPUT_VARIABLE GTK_VERSION)
    exec_program(${PKGCONFIG_EXECUTABLE}
                 ARGS --variable=prefix gtk+-2.0
                 OUTPUT_VARIABLE GTK_PREFIX)
    set(GTK_THEME_DIR ${GTK_PREFIX}/share/themes/QtCurve)
    set(CMAKE_INSTALL_PREFIX ${GTK_PREFIX})

    if(NOT KDE3PREFIX)
        if(KDE4PREFIX)
            set(KDE3PREFIX ${KDE4PREFIX})
        else(KDE4PREFIX)
            set(KDE3PREFIX /usr)
        endif(KDE4PREFIX)
    endif(NOT KDE3PREFIX)

    if(NOT KDE4PREFIX)
        if(KDE3PREFIX)
            set(KDE4PREFIX ${KDE3PREFIX})
        else(KDE3PREFIX)
            set(KDE4PREFIX /usr)
        endif(KDE3PREFIX)
    endif(NOT KDE4PREFIX)

    if(NOT KDE3_ICONS_PREFIX)
        if(KDE4_ICONS_PREFIX)
            set(KDE3_ICONS_PREFIX ${KDE4_ICONS_PREFIX})
        else(KDE4_ICONS_PREFIX)
            set(KDE3_ICONS_PREFIX ${KDE3PREFIX}/share/icons)
        endif(KDE4_ICONS_PREFIX)
    endif(NOT KDE3_ICONS_PREFIX)

    if(NOT KDE4_ICONS_PREFIX)
        if(KDE3_ICONS_PREFIX)
            set(KDE4_ICONS_PREFIX ${KDE3_ICONS_PREFIX})
        else(KDE3_ICONS_PREFIX)
            set(KDE4_ICONS_PREFIX ${KDE4PREFIX}/share/icons)
        endif(KDE3_ICONS_PREFIX)
    endif(NOT KDE4_ICONS_PREFIX)

    configure_file(config.h.cmake ${CMAKE_BINARY_DIR}/config.h)
    add_subdirectory(style)
    add_subdirectory(mozilla)
    if(QTC_ADD_EVENT_FILTER)
        message("\n\n**************************************************************\n"
                "Warning: You have enabled the KDE event filter, this has been\n"
                "         reported to interfere with firefox and crash some\n"
                "         applications\n"
                "**************************************************************\n\n\n")
    endif(QTC_ADD_EVENT_FILTER)
    if(QTC_REORDER_GTK_DIALOG_BUTTONS)
        message("\n\n**************************************************************\n"
                "Warning: You have enabled the option for QtCurve to try to manually\n"
                "         re-order the buttons of Gtk dialogs. Note: This will cause\n"
                "         errors to be printed to the console, and is only an\n"
                "         experiment!\n"
                "**************************************************************\n\n\n")
    endif(QTC_REORDER_GTK_DIALOG_BUTTONS)
else (GTK_INCLUDE_DIR)
    message(FATAL_ERROR "Could not locate Gtk2 include files")
endif (GTK_INCLUDE_DIR)

## gtk2-engines-qtcurve 0.59.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 set(DEBIAN_PACKAGE_SECTION "gtk")
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "0")
-set(CPACK_PACKAGE_VERSION_MINOR "55")
-set(CPACK_PACKAGE_VERSION_PATCH "2")
+set(CPACK_PACKAGE_VERSION_MINOR "59")
+set(CPACK_PACKAGE_VERSION_PATCH "4")
 set(CPACK_PACKAGE_CONTACT "Craig Drummond <Craig.Drummond@lycos.co.uk>")
 set(QTCURVE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
 set(QTCURVE_VERSION_FULL "${QTCURVE_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
@@ -39,17 +39,17 @@
     file(TO_CMAKE_PATH "$ENV{KDEDIRS}" _KDEDIRS)
 
     find_program(KDE4CONFIG_EXECUTABLE NAMES kde4-config
-                 PATHS ${CMAKE_INSTALL_PREFIX}/bin ${_KDEDIRS} /opt/kde4/bin NO_DEFAULT_PATH )
+                 PATHS ${CMAKE_INSTALL_PREFIX}/bin ${_KDEDIRS} /opt/kde4/bin /usr/lib/kde4/bin NO_DEFAULT_PATH )
 
     if(NOT KDE4CONFIG_EXECUTABLE)
         find_program(KDE4CONFIG_EXECUTABLE NAMES kde4-config )
     endif(NOT KDE4CONFIG_EXECUTABLE)
 
     if(KDE4CONFIG_EXECUTABLE)
-        exec_program(${KDE4_CONFIG_EXECUTABLE}
+        exec_program(${KDE4CONFIG_EXECUTABLE}
                     ARGS --expandvars --install icon
                     OUTPUT_VARIABLE KDE4_ICONS_PREFIX)
-        exec_program(${KDE4_CONFIG_EXECUTABLE}
+        exec_program(${KDE4CONFIG_EXECUTABLE}
                      ARGS --prefix
                      OUTPUT_VARIABLE KDE4PREFIX)
     endif(KDE4CONFIG_EXECUTABLE)
@@ -102,7 +102,7 @@
         message("\n\n**************************************************************\n"
                 "Warning: You have enabled the KDE event filter, this has been\n"
                 "         reported to interfere with firefox and crash some\n"
-                "         applications\n"
+                "         applications. USE AT YOUR OWN RISK!\n"
                 "**************************************************************\n\n\n")
     endif(QTC_ADD_EVENT_FILTER)
     if(QTC_REORDER_GTK_DIALOG_BUTTONS)
@@ -113,6 +113,15 @@
                 "         experiment!\n"
                 "**************************************************************\n\n\n")
     endif(QTC_REORDER_GTK_DIALOG_BUTTONS)
+    if(QTC_NEW_MOZILLA)
+        message("\n\n**************************************************************\n"
+                "Information: Defaulting to treating Firefox as Firefox >= 3.0\n"
+                "**************************************************************\n\n\n")
+    else(QTC_NEW_MOZILLA)
+        message("\n\n**************************************************************\n"
+                "Information: Defaulting to treating Firefox as Firefox < 3.0\n"
+                "**************************************************************\n\n\n")
+    endif(QTC_NEW_MOZILLA)
 else (GTK_INCLUDE_DIR)
     message(FATAL_ERROR "Could not locate Gtk2 include files")
 endif (GTK_INCLUDE_DIR)

## gtk2-engines-qtcurve 0.59.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "0")
 set(CPACK_PACKAGE_VERSION_MINOR "59")
-set(CPACK_PACKAGE_VERSION_PATCH "4")
+set(CPACK_PACKAGE_VERSION_PATCH "5")
 set(CPACK_PACKAGE_CONTACT "Craig Drummond <Craig.Drummond@lycos.co.uk>")
 set(QTCURVE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
 set(QTCURVE_VERSION_FULL "${QTCURVE_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
@@ -98,13 +98,6 @@
     configure_file(config.h.cmake ${CMAKE_BINARY_DIR}/config.h)
     add_subdirectory(style)
     add_subdirectory(mozilla)
-    if(QTC_ADD_EVENT_FILTER)
-        message("\n\n**************************************************************\n"
-                "Warning: You have enabled the KDE event filter, this has been\n"
-                "         reported to interfere with firefox and crash some\n"
-                "         applications. USE AT YOUR OWN RISK!\n"
-                "**************************************************************\n\n\n")
-    endif(QTC_ADD_EVENT_FILTER)
     if(QTC_REORDER_GTK_DIALOG_BUTTONS)
         message("\n\n**************************************************************\n"
                 "Warning: You have enabled the option for QtCurve to try to manually\n"

=== mozilla/CMakeLists.txt ===
configure_file(QtCurve.css.cmake ${CMAKE_BINARY_DIR}/QtCurve.css)
configure_file(firefox-user.js.cmake ${CMAKE_BINARY_DIR}/firefox-user.js)

install(FILES ${CMAKE_BINARY_DIR}/QtCurve.css preferences-rev.xml ${CMAKE_BINARY_DIR}/firefox-user.js mailto.sh
        DESTINATION ${GTK_THEME_DIR}/mozilla)

=== style/CMakeLists.txt ===
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_SOURCE_DIR}/common ${CMAKE_BINARY_DIR} )
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${GTK_CFLAGS}")
set(qtcurve_SRCS qtcurve.c)
add_library(qtcurve SHARED ${qtcurve_SRCS})
add_definitions(-DQTC_MOZILLA_DIR=\\\"${GTK_THEME_DIR}/mozilla\\\")
target_link_libraries(qtcurve ${GTK_LINK_FLAGS})

install(TARGETS qtcurve LIBRARY DESTINATION ${GTK_LIB_DIR}/gtk-2.0/${GTK_VERSION}/engines )
install(FILES gtkrc icons3 icons4 map_kde_icons.pl
        DESTINATION ${GTK_THEME_DIR}/gtk-2.0)

## gtk2-engines-qtcurve 0.62.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,9 +7,9 @@
 set(DEBIAN_PACKAGE_SECTION "gtk")
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "0")
-set(CPACK_PACKAGE_VERSION_MINOR "59")
-set(CPACK_PACKAGE_VERSION_PATCH "5")
-set(CPACK_PACKAGE_CONTACT "Craig Drummond <Craig.Drummond@lycos.co.uk>")
+set(CPACK_PACKAGE_VERSION_MINOR "62")
+set(CPACK_PACKAGE_VERSION_PATCH "8")
+set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig_p_drummond@yahoo.co.uk>")
 set(QTCURVE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
 set(QTCURVE_VERSION_FULL "${QTCURVE_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
 set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${QTCURVE_VERSION_FULL}")
@@ -99,22 +99,33 @@
     add_subdirectory(style)
     add_subdirectory(mozilla)
     if(QTC_REORDER_GTK_DIALOG_BUTTONS)
-        message("\n\n**************************************************************\n"
+        message("\n**************************************************************\n"
                 "Warning: You have enabled the option for QtCurve to try to manually\n"
                 "         re-order the buttons of Gtk dialogs. Note: This will cause\n"
                 "         errors to be printed to the console, and is only an\n"
                 "         experiment!\n"
-                "**************************************************************\n\n\n")
+                "**************************************************************\n")
     endif(QTC_REORDER_GTK_DIALOG_BUTTONS)
-    if(QTC_NEW_MOZILLA)
-        message("\n\n**************************************************************\n"
+    if(QTC_OLD_MOZILLA)
+        message("\n**************************************************************\n"
+                "Information: Defaulting to treating Firefox as Firefox < 3.0\n"
+                "**************************************************************\n")
+    else(QTC_OLD_MOZILLA)
+        message("\n**************************************************************\n"
                 "Information: Defaulting to treating Firefox as Firefox >= 3.0\n"
-                "**************************************************************\n\n\n")
-    else(QTC_NEW_MOZILLA)
-        message("\n\n**************************************************************\n"
-                "Information: Defaulting to treating Firefox as Firefox < 3.0\n"
-                "**************************************************************\n\n\n")
-    endif(QTC_NEW_MOZILLA)
+                "**************************************************************\n")
+    endif(QTC_OLD_MOZILLA)
+    if(QTC_DEFAULT_TO_KDE3)
+        message("\n**************************************************************\n"
+                "Information: Defaulting to reading KDE3 settings if \n"
+                "             KDE_SESSION_VERSION is not set\n"
+                "**************************************************************\n")
+    else(QTC_DEFAULT_TO_KDE3)
+        message("\n**************************************************************\n"
+                "Information: Defaulting to reading KDE4 settings if \n"
+                "             KDE_SESSION_VERSION is not set\n"
+                "**************************************************************\n")
+    endif(QTC_DEFAULT_TO_KDE3)
 else (GTK_INCLUDE_DIR)
     message(FATAL_ERROR "Could not locate Gtk2 include files")
 endif (GTK_INCLUDE_DIR)

## gtk2-engines-qtcurve 0.69.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 set(DEBIAN_PACKAGE_SECTION "gtk")
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "0")
-set(CPACK_PACKAGE_VERSION_MINOR "62")
-set(CPACK_PACKAGE_VERSION_PATCH "8")
+set(CPACK_PACKAGE_VERSION_MINOR "69")
+set(CPACK_PACKAGE_VERSION_PATCH "1")
 set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig_p_drummond@yahoo.co.uk>")
 set(QTCURVE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
 set(QTCURVE_VERSION_FULL "${QTCURVE_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
@@ -126,6 +126,35 @@
                 "             KDE_SESSION_VERSION is not set\n"
                 "**************************************************************\n")
     endif(QTC_DEFAULT_TO_KDE3)
+    if(QTC_MODIFY_MOZILLA)
+        message("\n**************************************************************\n"
+                "**************************************************************\n"
+                "Warning: You have enabled the option for QtCurve to modify the\n"
+                "         configuration files of Mozilla applications (Firefox, \n"
+                "         Thunderbird, Seamonkey). Note: This sometimes causes\n"
+                "         issues with newer versions of these applications. Should\n"
+                "         such issues occur, you should recompile QtCurve without\n"
+                "         this option - and you will have to remove BY HAND the \n"
+                "         changes that QtCurve has made. This will entail removing\n"
+                "         lines from userChrom.css that indicate 'Added by QtCurve'\n"
+                "         userChrome.css is usually in a folder such as:\n"
+                "             ~/.mozilla/firefox/xxxxxxx.default/chrome/userChrome.css\n"
+                "             ~/.thunderbird/xxxxxxx.default/chrome/userChrome.css\n"
+                "         Where xxxxxxx is a series of random characters.\n"
+                "**************************************************************\n"
+                "**************************************************************\n")
+    endif(QTC_MODIFY_MOZILLA)
+
+    if(QTC_USE_CAIRO_FOR_ARROWS)
+        message("\n**************************************************************\n"
+                "Warning: Using ciaro to draw arrows - this has been reported to \n"
+                "         fail with intel Xorg driver > 2.8\n"
+                "**************************************************************\n")
+    else(QTC_USE_CAIRO_FOR_ARROWS)
+        message("\n**************************************************************\n"
+                "Information: Using Gdk to draw arrows.\n"
+                "**************************************************************\n")
+    endif(QTC_USE_CAIRO_FOR_ARROWS)
 else (GTK_INCLUDE_DIR)
     message(FATAL_ERROR "Could not locate Gtk2 include files")
 endif (GTK_INCLUDE_DIR)

## gtk2-engines-qtcurve 1.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,10 +6,10 @@
 set(DEBIAN_PACKAGE_DESCRIPTION "QtCurve for Gtk2")
 set(DEBIAN_PACKAGE_SECTION "gtk")
 set(CPACK_SOURCE_GENERATOR "TBZ2")
-set(CPACK_PACKAGE_VERSION_MAJOR "0")
-set(CPACK_PACKAGE_VERSION_MINOR "69")
-set(CPACK_PACKAGE_VERSION_PATCH "1")
-set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig_p_drummond@yahoo.co.uk>")
+set(CPACK_PACKAGE_VERSION_MAJOR "1")
+set(CPACK_PACKAGE_VERSION_MINOR "0")
+set(CPACK_PACKAGE_VERSION_PATCH "2")
+set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig.p.drummond@googlemail.com>")
 set(QTCURVE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
 set(QTCURVE_VERSION_FULL "${QTCURVE_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
 set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${QTCURVE_VERSION_FULL}")

=== style/CMakeLists.txt ===
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_SOURCE_DIR}/common ${CMAKE_BINARY_DIR} )
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${GTK_CFLAGS}")
set(qtcurve_SRCS qtcurve.c)
add_library(qtcurve MODULE ${qtcurve_SRCS})
add_definitions(-DQTC_MOZILLA_DIR=\\\"${GTK_THEME_DIR}/mozilla\\\")
target_link_libraries(qtcurve ${GTK_LINK_FLAGS})

install(TARGETS qtcurve LIBRARY DESTINATION ${GTK_LIB_DIR}/gtk-2.0/${GTK_VERSION}/engines )
install(FILES gtkrc icons3 icons4 map_kde_icons.pl kdeglobals
        DESTINATION ${GTK_THEME_DIR}/gtk-2.0)

=== debian/changelog ===
gtk2-engines-qtcurve (1.0.2-1ubuntu1) lucid; urgency=low

  * Suggest kde-style-qtcurve instead of recommending it, so it does not
    end up on the Kubuntu CD, also on Ubuntu it would try to pull in KDE, even
    if not installed (in which case the kde-style is not desired).
    The Debian maintainer agreed to apply this change, so this delta can
    hopefully be dropped with next merge.

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 22 Feb 2010 20:38:58 +0100

gtk2-engines-qtcurve (1.0.2-1) unstable; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Update debian/control:
    - Bump Standard-Version to 3.8.4 (no changes needed).
  * Update debian/copyright:
    - Update upstream author e-mail address.
    - Update copyright years.
  * Update debian/rules:
    - Enable parallel build (pass --parallel option to dh).
    - Update get-orig-source target to rename original tarball.

 -- Fathi Boudra <fabo@debian.org>  Sat, 13 Feb 2010 15:41:01 +0100

gtk2-engines-qtcurve (0.69.2-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sat, 14 Nov 2009 18:06:01 +0100

gtk2-engines-qtcurve (0.68.1-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control:
    - Bump Standard-Version to 3.8.3 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Wed, 07 Oct 2009 14:06:28 +0200

gtk2-engines-qtcurve (0.67.4-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control:
    - Bump debhelper build dependency version.
  * Update debian/copyright: up-to-date.
  * Update debian/rules:
    - Cleanup since dh support cmake.
    - Add get-orig-source target.
  * Add debian/watch file.

 -- Fathi Boudra <fabo@debian.org>  Sun, 16 Aug 2009 10:37:41 +0200

gtk2-engines-qtcurve (0.65.1-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Tue, 30 Jun 2009 20:38:57 +0200

gtk2-engines-qtcurve (0.65.0-1) unstable; urgency=low

  * New upstream release. (Closes: #512561)
  * Set KDE Extras team in Maintainer field and myself in Uploaders field.
    (Closes: #529441)
  * Bump compat/debhelper to 7.
  * Update debian/control:
    - Bump Standard-Version to 3.8.2 (no changes needed).
    - Add Vcs-Browser and Vcs-Svn fields.
    - Use uppercase GNOME in description.
  * Update debian/rules:
    - Rewrite to use dh.
    - Build with -DQTC_MODIFY_MOZILLA=true for enhanced Firefox integration.

 -- Fathi Boudra <fabo@debian.org>  Thu, 25 Jun 2009 10:29:52 +0200

gtk2-engines-qtcurve (0.59.5-1) unstable; urgency=low

  * New upstream release. Too many changes since 55.2 to list them all here.
  * Bumped standards version.

 -- Bastian Venthur <venthur@debian.org>  Fri, 04 Jul 2008 10:58:11 +0200

gtk2-engines-qtcurve (0.55.2-2) unstable; urgency=low

  * Bumped standards version 
  * Updated FSF address (Closes: #461892)

 -- Bastian Venthur <venthur@debian.org>  Wed, 26 Mar 2008 15:20:23 +0100

gtk2-engines-qtcurve (0.55.2-1) unstable; urgency=low

  * New upstream version 

 -- Bastian Venthur <venthur@debian.org>  Sun, 20 Jan 2008 17:22:26 +0100

gtk2-engines-qtcurve (0.52.3-1) unstable; urgency=low

  0.52.3
  * Fix 1st stripe on vertical progress bar.
  * Fix very small progress bar chunks.
  * Fix blanked out widgets in tovid.
  * Fix DeVeDe crash when 'fix parentless dialogs' is enabled.

  0.52.2
  * Don't lighten border of disabled check/radio buttons.
  * Lighten trough of disabled slider. 

 -- Bastian Venthur <venthur@debian.org>  Fri, 10 Aug 2007 10:03:47 +0200

gtk2-engines-qtcurve (0.52.1-1) unstable; urgency=low

  New upstream version
  
  * Draw emphasis around menus when not lightening.
  * Use button colors to border entry fields.
  * Fix menu standard background.

 -- Bastian Venthur <venthur@debian.org>  Sun, 24 Jun 2007 13:10:56 +0200

gtk2-engines-qtcurve (0.52-1) unstable; urgency=low

  * New upstream version

  * Use 'dull glass' as the default gradient - previous default is now
    called 'Clean'.
  * Darken slider mouse over colour if slider is not shaded.
  * Use thinner slider mouse over sections if slider is not shaded.
  * Improve look of small V arrows.
  * Even duller dull glass, but much more useable.
  * Implement 'plastik' style mouse over for square sliders.
  * Fix bottom/right scrollbar arrow position.
  * Fix spinbutton arrow position.
  * Fix SWT combo arrows.
  * Don't prelight SWT combos - they don't un-prelight when activated!
  * For non editable combos, draw both an up and a down arrow.
  * For editable combos - make menu more KDE list like.

 -- Bastian Venthur <venthur@debian.org>  Tue, 19 Jun 2007 17:33:59 +0200

gtk2-engines-qtcurve (0.51-2) unstable; urgency=low

  * Changed priority from extra to optional 

 -- Bastian Venthur <venthur@debian.org>  Mon, 11 Jun 2007 11:20:11 +0200

gtk2-engines-qtcurve (0.51-1)  unstable; urgency=low

  * New Upstream version (Closes: #427040)
  * Corrected recommends-field (Closes: #427873)
  * Removed debian/dirs (Closes: #427874)

  * Changed shading to use HSL colour space. This can be altered by editing
    $XDG_CONFIG_HOME/qtcurvestylerc and setting 'shading=simple' for the 
    previous method, or 'shading=hsv' to use HSV.
  * Add options:
      Border all of menu/toolbars.
      Darker borders.
      'V' arrows.
  * Fix raised listview headers.
  * Fix glass style menuitem appearance.
  * Modifed look of dullglass, looks "softer"
  * Improve look of plastik mouse-over for non coloured scrollbars.
  * For disabled buttons, use standard fill but lighten border.
  * Use darker colours for mouse-over and default button - helps with light
    colour schemes.
  * Dont draw sunken panel around checked menuitems.
  * If the app is a Java app, and its g_get_application_name()!="unknown",
    then assume its a SWT java app - in which case treat as a standard app. For
    Swing apps some functionality is disabled.
  * Fix tabs in thunderbird.



=== debian/control ===
Source: gtk2-engines-qtcurve
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.4.13), cmake, libgtk2.0-dev
Standards-Version: 3.8.4
Homepage: http://www.kde-look.org/content/show.php?content=40492
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/gtk2-engines-qtcurve/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/gtk2-engines-qtcurve/?op=log

Package: gtk2-engines-qtcurve
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kde-style-qtcurve
Description: This is a set of widget styles for Gtk2 based apps
 This package together with kde-style-qtcurve aim to provide a unified look
 and feel on the desktop when using KDE and GNOME applications.
 .
 This package is most useful when installed together with kde-style-qtcurve.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --parallel $@

override_dh_auto_configure:
	dh_auto_configure -- -DQTC_MODIFY_MOZILLA=true

get-orig-source:
	uscan --verbose --force-download --no-symlink
	mv ../QtCurve-Gtk2-$(UPSTREAM_VERSION).tar.bz2 ../gtk2-engines-qtcurve_$(UPSTREAM_VERSION).orig.tar.bz2

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
http://www.kde-look.org/content/download.php?content=40492&id=3 http://home.freeuk.com/cpdrummond/QtCurve-Gtk2-([0-9.]*).tar.bz2

## gtk2-engines-qtcurve 1.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 set(DEBIAN_PACKAGE_SECTION "gtk")
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "1")
-set(CPACK_PACKAGE_VERSION_MINOR "0")
+set(CPACK_PACKAGE_VERSION_MINOR "5")
 set(CPACK_PACKAGE_VERSION_PATCH "2")
 set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig.p.drummond@googlemail.com>")
 set(QTCURVE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")

=== style/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_SOURCE_DIR}/common ${CMAKE_BINARY_DIR} )
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${GTK_CFLAGS}")
+set(CMAKE_C_FLAGS "${GTK_CFLAGS}")
 set(qtcurve_SRCS qtcurve.c)
 add_library(qtcurve MODULE ${qtcurve_SRCS})
 add_definitions(-DQTC_MOZILLA_DIR=\\\"${GTK_THEME_DIR}/mozilla\\\")

=== debian/changelog ===
gtk2-engines-qtcurve (1.5.2-1ubuntu3) maverick; urgency=low

  * Add kubuntu_01_default_font.diff to switch the default font to the
    Ubuntu font.
  * Add a dependency on the Ubuntu font, or else it'll have a weird fallback

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 30 Sep 2010 19:37:46 -0400

gtk2-engines-qtcurve (1.5.2-1ubuntu2) maverick; urgency=low

  * Don't enable Firefox config modification, since it is against packaging
    policy

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 13 Sep 2010 17:46:18 -0400

gtk2-engines-qtcurve (1.5.2-1ubuntu1) maverick; urgency=low

  * debian/patches/zero-delta-fix.patch:
    Deal with case in common/common.h where rgbToHsv is called with
    r,g,b all equal, giving max equal to min and so a zero delta (LP: #528872)

 -- Niall Creech <niallcreech@googlemail.com>  Sun, 15 Aug 2010 00:56:04 +0200

gtk2-engines-qtcurve (1.5.2-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Thu, 22 Jul 2010 09:48:13 +0300

gtk2-engines-qtcurve (1.5.1-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sun, 11 Jul 2010 09:14:53 +0300

gtk2-engines-qtcurve (1.5.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standard-Version to 3.9.0 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Wed, 30 Jun 2010 10:09:44 +0300

gtk2-engines-qtcurve (1.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sun, 30 May 2010 12:09:50 +0300

gtk2-engines-qtcurve (1.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Tue, 18 May 2010 11:30:31 +0300

gtk2-engines-qtcurve (1.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Tue, 13 Apr 2010 11:08:20 +0300

gtk2-engines-qtcurve (1.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Tue, 23 Mar 2010 12:01:10 +0100

gtk2-engines-qtcurve (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control: Suggests kde-style-qtcurve instead of Recommends.
  * Update debian/watch: update upstream tarball url.

 -- Fathi Boudra <fabo@debian.org>  Fri, 26 Feb 2010 16:50:21 +0100

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>
-Build-Depends: debhelper (>= 7.4.13), cmake, libgtk2.0-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.4.15), cmake, libgtk2.0-dev
+Standards-Version: 3.9.0
 Homepage: http://www.kde-look.org/content/show.php?content=40492
 Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/gtk2-engines-qtcurve/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/gtk2-engines-qtcurve/?op=log
 
 Package: gtk2-engines-qtcurve
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ttf-ubuntu-font-family
 Suggests: kde-style-qtcurve
 Description: This is a set of widget styles for Gtk2 based apps
  This package together with kde-style-qtcurve aim to provide a unified look

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,15 @@
 #!/usr/bin/make -f
 
+UPSTREAM_VERSION ?= $(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
 %:
-	dh --parallel $@
+	dh $@ --parallel
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DQTC_MODIFY_MOZILLA=true
+	dh_auto_configure -- -DQTC_MODIFY_MOZILLA=false
 
 get-orig-source:
 	uscan --verbose --force-download --no-symlink

## gtk2-engines-qtcurve 1.8.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(QtCurve-Gtk2)
-cmake_minimum_required(VERSION 2.4.0)
+cmake_minimum_required(VERSION 2.4.4)
 
 set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
 set(CPACK_GENERATOR "DEB;RPM;TGZ")
@@ -7,9 +7,9 @@
 set(DEBIAN_PACKAGE_SECTION "gtk")
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "1")
-set(CPACK_PACKAGE_VERSION_MINOR "5")
-set(CPACK_PACKAGE_VERSION_PATCH "2")
-set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig.p.drummond@googlemail.com>")
+set(CPACK_PACKAGE_VERSION_MINOR "8")
+set(CPACK_PACKAGE_VERSION_PATCH "3")
+set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig.p.drummond@gmail.com>")
 set(QTCURVE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
 set(QTCURVE_VERSION_FULL "${QTCURVE_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
 set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${QTCURVE_VERSION_FULL}")
@@ -17,7 +17,9 @@
 include(CPack)
 
 include(UsePkgConfig)
-pkgconfig(gtk+-2.0 GTK_INCLUDE_DIR GTK_LIB_DIR GTK_LINK_FLAGS GTK_CFLAGS)
+
+set(GTK_MAJOR_VERSION "2")
+pkgconfig(gtk+-${GTK_MAJOR_VERSION}.0 GTK_INCLUDE_DIR GTK_LIB_DIR GTK_LINK_FLAGS GTK_CFLAGS)
 
 if (GTK_INCLUDE_DIR)
     # Try to determine KDE3's icon prefix...
@@ -55,13 +57,17 @@
     endif(KDE4CONFIG_EXECUTABLE)
 
     exec_program(${PKGCONFIG_EXECUTABLE}
-                 ARGS --variable=gtk_binary_version gtk+-2.0
+                 ARGS --variable=gtk_binary_version gtk+-${GTK_MAJOR_VERSION}.0
                  OUTPUT_VARIABLE GTK_VERSION)
-    exec_program(${PKGCONFIG_EXECUTABLE}
-                 ARGS --variable=prefix gtk+-2.0
-                 OUTPUT_VARIABLE GTK_PREFIX)
+    if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
+        exec_program(${PKGCONFIG_EXECUTABLE}
+                     ARGS --variable=prefix gtk+-${GTK_MAJOR_VERSION}.0
+                     OUTPUT_VARIABLE GTK_PREFIX)
+        set(CMAKE_INSTALL_PREFIX ${GTK_PREFIX})
+    else(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
+        set(GTK_PREFIX ${CMAKE_INSTALL_PREFIX})
+    endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     set(GTK_THEME_DIR ${GTK_PREFIX}/share/themes/QtCurve)
-    set(CMAKE_INSTALL_PREFIX ${GTK_PREFIX})
 
     if(NOT KDE3PREFIX)
         if(KDE4PREFIX)
@@ -98,8 +104,10 @@
     configure_file(config.h.cmake ${CMAKE_BINARY_DIR}/config.h)
     add_subdirectory(style)
     add_subdirectory(mozilla)
+    message("** PREFIX=${CMAKE_INSTALL_PREFIX}\n")
+
     if(QTC_REORDER_GTK_DIALOG_BUTTONS)
-        message("\n**************************************************************\n"
+        message("**************************************************************\n"
                 "Warning: You have enabled the option for QtCurve to try to manually\n"
                 "         re-order the buttons of Gtk dialogs. Note: This will cause\n"
                 "         errors to be printed to the console, and is only an\n"
@@ -107,27 +115,27 @@
                 "**************************************************************\n")
     endif(QTC_REORDER_GTK_DIALOG_BUTTONS)
     if(QTC_OLD_MOZILLA)
-        message("\n**************************************************************\n"
+        message("**************************************************************\n"
                 "Information: Defaulting to treating Firefox as Firefox < 3.0\n"
                 "**************************************************************\n")
     else(QTC_OLD_MOZILLA)
-        message("\n**************************************************************\n"
+        message("**************************************************************\n"
                 "Information: Defaulting to treating Firefox as Firefox >= 3.0\n"
                 "**************************************************************\n")
     endif(QTC_OLD_MOZILLA)
     if(QTC_DEFAULT_TO_KDE3)
-        message("\n**************************************************************\n"
+        message("**************************************************************\n"
                 "Information: Defaulting to reading KDE3 settings if \n"
                 "             KDE_SESSION_VERSION is not set\n"
                 "**************************************************************\n")
     else(QTC_DEFAULT_TO_KDE3)
-        message("\n**************************************************************\n"
+        message("**************************************************************\n"
                 "Information: Defaulting to reading KDE4 settings if \n"
                 "             KDE_SESSION_VERSION is not set\n"
                 "**************************************************************\n")
     endif(QTC_DEFAULT_TO_KDE3)
     if(QTC_MODIFY_MOZILLA)
-        message("\n**************************************************************\n"
+        message("**************************************************************\n"
                 "**************************************************************\n"
                 "Warning: You have enabled the option for QtCurve to modify the\n"
                 "         configuration files of Mozilla applications (Firefox, \n"
@@ -146,15 +154,25 @@
     endif(QTC_MODIFY_MOZILLA)
 
     if(QTC_USE_CAIRO_FOR_ARROWS)
-        message("\n**************************************************************\n"
+        message("**************************************************************\n"
                 "Warning: Using ciaro to draw arrows - this has been reported to \n"
                 "         fail with intel Xorg driver > 2.8\n"
                 "**************************************************************\n")
     else(QTC_USE_CAIRO_FOR_ARROWS)
-        message("\n**************************************************************\n"
+        message("**************************************************************\n"
                 "Information: Using Gdk to draw arrows.\n"
                 "**************************************************************\n")
     endif(QTC_USE_CAIRO_FOR_ARROWS)
+
+    if (QTC_ENABLE_PARENTLESS_DIALOG_FIX_SUPPORT)
+        message("**************************************************************\n"
+                "Warning: You have enabled support for the 'fix parentless dialogs'\n"
+                "         option. This is known to BREAK some applications. Please\n"
+                "         DO NOT report errors to application authors when you have\n"
+                "         this enabled. Please reconsider DISABLING this option.\n"
+                "**************************************************************\n")
+    endif (QTC_ENABLE_PARENTLESS_DIALOG_FIX_SUPPORT)
+
 else (GTK_INCLUDE_DIR)
     message(FATAL_ERROR "Could not locate Gtk2 include files")
 endif (GTK_INCLUDE_DIR)

=== style/CMakeLists.txt ===
set(qtcurve_style_common_SRCS
        ${CMAKE_CURRENT_SOURCE_DIR}/../common/common.c
        ${CMAKE_CURRENT_SOURCE_DIR}/../common/config_file.c
        ${CMAKE_CURRENT_SOURCE_DIR}/../common/colorutils.c )
        
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_SOURCE_DIR}/common ${CMAKE_BINARY_DIR} )
set(CMAKE_C_FLAGS "${GTK_CFLAGS}")
set(qtcurve_SRCS qtcurve.c qt_settings.c drawing.c helpers.c pixcache.c animation.c combobox.c entry.c menu.c scrollbar.c scrolledwindow.c tab.c treeview.c widgetmap.c window.c wmmove.c ${qtcurve_style_common_SRCS})
add_library(qtcurve MODULE ${qtcurve_SRCS})
add_definitions(-DQTC_MOZILLA_DIR=\\\"${GTK_THEME_DIR}/mozilla\\\")
target_link_libraries(qtcurve ${GTK_LINK_FLAGS} -lm -lX11)

if (CMAKE_SYSTEM_NAME MATCHES Linux OR CMAKE_SYSTEM_NAME STREQUAL GNU)
   if (CMAKE_COMPILER_IS_GNUCXX)
      set ( CMAKE_SHARED_LINKER_FLAGS "-Wl,--fatal-warnings -Wl,--no-undefined -lc ${CMAKE_SHARED_LINKER_FLAGS}")
      set ( CMAKE_MODULE_LINKER_FLAGS "-Wl,--fatal-warnings -Wl,--no-undefined -lc ${CMAKE_MODULE_LINKER_FLAGS}")
      set ( CMAKE_SHARED_LINKER_FLAGS "-Wl,--enable-new-dtags ${CMAKE_SHARED_LINKER_FLAGS}")
      set ( CMAKE_MODULE_LINKER_FLAGS "-Wl,--enable-new-dtags ${CMAKE_MODULE_LINKER_FLAGS}")
   endif (CMAKE_COMPILER_IS_GNUCXX)
   if (CMAKE_C_COMPILER MATCHES "icc")
      set ( CMAKE_SHARED_LINKER_FLAGS "-Wl,--fatal-warnings -Wl,--no-undefined -lc ${CMAKE_SHARED_LINKER_FLAGS}")
      set ( CMAKE_MODULE_LINKER_FLAGS "-Wl,--fatal-warnings -Wl,--no-undefined -lc ${CMAKE_MODULE_LINKER_FLAGS}")
   endif (CMAKE_C_COMPILER MATCHES "icc")
endif (CMAKE_SYSTEM_NAME MATCHES Linux OR CMAKE_SYSTEM_NAME STREQUAL GNU)

install(TARGETS qtcurve LIBRARY DESTINATION ${GTK_LIB_DIR}/gtk-${GTK_MAJOR_VERSION}.0/${GTK_VERSION}/engines )
install(FILES gtkrc icons3 icons4 map_kde_icons.pl kdeglobals
        DESTINATION ${GTK_THEME_DIR}/gtk-${GTK_MAJOR_VERSION}.0)

## gtk2-engines-qtcurve 1.8.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "1")
 set(CPACK_PACKAGE_VERSION_MINOR "8")
-set(CPACK_PACKAGE_VERSION_PATCH "3")
+set(CPACK_PACKAGE_VERSION_PATCH "5")
 set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig.p.drummond@gmail.com>")
 set(QTCURVE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
 set(QTCURVE_VERSION_FULL "${QTCURVE_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")

=== debian/changelog ===
gtk2-engines-qtcurve (1.8.5-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sun, 30 Jan 2011 18:57:14 +0200

gtk2-engines-qtcurve (1.8.3-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sun, 26 Dec 2010 13:43:31 +0200

gtk2-engines-qtcurve (1.8.1-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sat, 11 Dec 2010 14:40:51 +0200

gtk2-engines-qtcurve (1.6.4-1) unstable; urgency=low

  * New upstream release.

  [ Alexander Reichle-Schmehl ]
  * Disable QTC_MODIFY_MOZILLA to not interfere with foreign configuration
    files. (Closes: #590521)

 -- Fathi Boudra <fabo@debian.org>  Wed, 06 Oct 2010 14:51:31 +0300

=== debian/control ===
Source: gtk2-engines-qtcurve
Section: gnome
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.4.15), cmake, libgtk2.0-dev
Standards-Version: 3.9.1
Homepage: http://www.kde-look.org/content/show.php?content=40492
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/gtk2-engines-qtcurve/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/gtk2-engines-qtcurve/?op=log

Package: gtk2-engines-qtcurve
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kde-style-qtcurve
Description: This is a set of widget styles for Gtk2 based apps
 This package together with kde-style-qtcurve aim to provide a unified look
 and feel on the desktop when using KDE and GNOME applications.
 .
 This package is most useful when installed together with kde-style-qtcurve.

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,6 @@
 %:
 	dh $@ --parallel
 
-override_dh_auto_configure:
-	dh_auto_configure -- -DQTC_MODIFY_MOZILLA=false
-
 get-orig-source:
 	uscan --verbose --force-download --no-symlink
 	mv ../QtCurve-Gtk2-$(UPSTREAM_VERSION).tar.bz2 ../gtk2-engines-qtcurve_$(UPSTREAM_VERSION).orig.tar.bz2

## gtk2-engines-qtcurve 1.8.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "1")
 set(CPACK_PACKAGE_VERSION_MINOR "8")
-set(CPACK_PACKAGE_VERSION_PATCH "5")
+set(CPACK_PACKAGE_VERSION_PATCH "6")
 set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig.p.drummond@gmail.com>")
 set(QTCURVE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
 set(QTCURVE_VERSION_FULL "${QTCURVE_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")

## gtk2-engines-qtcurve 1.8.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "1")
 set(CPACK_PACKAGE_VERSION_MINOR "8")
-set(CPACK_PACKAGE_VERSION_PATCH "6")
+set(CPACK_PACKAGE_VERSION_PATCH "8")
 set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig.p.drummond@gmail.com>")
 set(QTCURVE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
 set(QTCURVE_VERSION_FULL "${QTCURVE_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")

=== style/CMakeLists.txt ===
--- 
+++ 
@@ -4,10 +4,15 @@
         ${CMAKE_CURRENT_SOURCE_DIR}/../common/colorutils.c )
         
 include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_SOURCE_DIR}/common ${CMAKE_BINARY_DIR} )
-set(CMAKE_C_FLAGS "${GTK_CFLAGS}")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${GTK_CFLAGS}")
 set(qtcurve_SRCS qtcurve.c qt_settings.c drawing.c helpers.c pixcache.c animation.c combobox.c entry.c menu.c scrollbar.c scrolledwindow.c tab.c treeview.c widgetmap.c window.c wmmove.c ${qtcurve_style_common_SRCS})
 add_library(qtcurve MODULE ${qtcurve_SRCS})
 add_definitions(-DQTC_MOZILLA_DIR=\\\"${GTK_THEME_DIR}/mozilla\\\")
+
+# The following fixes odd segfaults with evolution under Fedora 14.
+# See https://bugzilla.redhat.com/show_bug.cgi?id=676837
+add_definitions(-Dopts=qtcurve_gtk2_opts)
+
 target_link_libraries(qtcurve ${GTK_LINK_FLAGS} -lm -lX11)
 
 if (CMAKE_SYSTEM_NAME MATCHES Linux OR CMAKE_SYSTEM_NAME STREQUAL GNU)

=== debian/changelog ===
gtk2-engines-qtcurve (1.8.8-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sun, 01 May 2011 13:22:49 +0300

gtk2-engines-qtcurve (1.8.6-1) unstable; urgency=low

  * New upstream release.
  * Build depends against libcairo2-dev >= 1.10 (Closes: #607040)

 -- Fathi Boudra <fabo@debian.org>  Sun, 20 Feb 2011 12:13:05 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>
-Build-Depends: debhelper (>= 7.4.15), cmake, libgtk2.0-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7.4.15), cmake, libgtk2.0-dev, libcairo2-dev (>= 1.10)
+Standards-Version: 3.9.2
 Homepage: http://www.kde-look.org/content/show.php?content=40492
 Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/gtk2-engines-qtcurve/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/gtk2-engines-qtcurve/?op=log

## gtk2-engines-qtcurve 1.8.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "1")
 set(CPACK_PACKAGE_VERSION_MINOR "8")
-set(CPACK_PACKAGE_VERSION_PATCH "8")
+set(CPACK_PACKAGE_VERSION_PATCH "12")
 set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig.p.drummond@gmail.com>")
 set(QTCURVE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
 set(QTCURVE_VERSION_FULL "${QTCURVE_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")

=== debian/changelog ===
gtk2-engines-qtcurve (1.8.12-1) unstable; urgency=low

  * New upstream release.
  * New maintainer of the package,
    Fathi Boudra is removed from Uploaders field.
    (Closes: #641952)
  * Vcs-* fields in debian/control were updated.
  * File debian/copyright was rewritten in according to DEP-5.
    All files were rechecked, copyright information was updated.
  * kde-style-qtcurve was moved from Suggests to Recommends.

 -- Boris Pek <tehnick-8@mail.ru>  Fri, 20 Jan 2012 21:52:45 +0200

=== debian/control ===
Source: gtk2-engines-qtcurve
Section: gnome
Priority: optional
Maintainer: Boris Pek <tehnick-8@mail.ru>
Build-Depends: debhelper (>= 7.4.15), cmake, libgtk2.0-dev, libcairo2-dev (>= 1.10)
Standards-Version: 3.9.2
Homepage: http://www.kde-look.org/content/show.php?content=40492
Vcs-Git: git://github.com/tehnick/gtk2-engines-qtcurve-debian.git
Vcs-Browser: https://github.com/tehnick/gtk2-engines-qtcurve-debian

Package: gtk2-engines-qtcurve
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kde-style-qtcurve
Description: This is a set of widget styles for Gtk2 based apps
 This package together with kde-style-qtcurve aim to provide a unified look
 and feel on the desktop when using KDE and GNOME applications.
 .
 This package is most useful when installed together with kde-style-qtcurve.
